Bug 130245 - rpm always segfault after upgrade to 4.3.2
rpm always segfault after upgrade to 4.3.2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 10:16 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-08-18 10:16:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7) Gecko/20040623 Camino/0.8

Description of problem:
Hi,

   after a successfull upgrade of rpm and popt, using no --force or
--nodeps options, I'm stuck with a broken rpm database .. This thing
happens unfortunatelly really often when performing an upgrade of the
RPM subsystem..

    can you please give me some advices to recover my rpm database ?
I browsed some bugs already, here is what I tried:

[root@dev rpm]# cp ../rpm.orig/* . -f

[root@dev rpm]# rpm -qa
Segmentation fault

[root@dev rpm]# rpm -qa -vv
Segmentation fault

[root@dev rpm]# rpm --rebuilddb
Segmentation fault

[root@dev rpm]# rpm --version
RPM version 4.3.2

[root@dev rpm]# for i in $(ls  ); do mv $i $i.orig; done

[root@dev rpm]# for i in $(ls *orig);
do

 FILE=$(echo $i | sed 's/.orig//');
 /usr/lib/rpm/rpmdb_dump $FILE.orig | /usr/lib/rpm/rpmdb_load -t hash
$FILE;
 rm -f $FILE.orig;

done

[root@dev rpm]# /usr/lib/rpm/rpmdb_verify *
[root@dev rpm]# echo $?

[root@dev rpm]# rpm -qa -vv
Segmentation fault

[root@dev rpm]# rpm --rebuilddb -vv
Segmentation fault

Basenames:      Berkeley DB (Hash, version 8, native byte-order)
Conflictname:   Berkeley DB (Hash, version 8, native byte-order)
Dirnames:       Berkeley DB (Hash, version 8, native byte-order)
Filemd5s:       Berkeley DB (Hash, version 8, native byte-order)
Group:          Berkeley DB (Hash, version 8, native byte-order)
Installtid:     Berkeley DB (Hash, version 8, native byte-order)
Name:           Berkeley DB (Hash, version 8, native byte-order)
Packages:       Berkeley DB (Hash, version 8, native byte-order)
Providename:    Berkeley DB (Hash, version 8, native byte-order)
Provideversion: Berkeley DB (Hash, version 8, native byte-order)
Pubkeys:        Berkeley DB (Hash, version 8, native byte-order)
Requirename:    Berkeley DB (Hash, version 8, native byte-order)
Requireversion: Berkeley DB (Hash, version 8, native byte-order)
Sha1header:     Berkeley DB (Hash, version 8, native byte-order)
Sigmd5:         Berkeley DB (Hash, version 8, native byte-order)
Triggername:    Berkeley DB (Hash, version 8, native byte-order)


Any solution (even complicated one) would be much appreciated, as I
can't reinstall.


Best Regards,


Olivier Kaloudoff


Version-Release number of selected component (if applicable):
4.3.2

How reproducible:
Sometimes

Steps to Reproduce:
1. upgrade to rpm 4.3.2 
2. rpm -qa
3. Segfault
    

Additional info:
Comment 1 Jeff Johnson 2004-08-18 10:41:55 EDT
Can you supply a ptr (i.e. URL, attachments won't work)
to a tarball of you rpmdb:
    cd /var/lib
    tar czvf /tmp/rpmdb-130245.tar.gz rpm
Comment 2 Jeremy Katz 2005-04-19 14:38:16 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.